/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoCortesiaDescuento;
import java.math.RoundingMode;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderTipoCortesiaD implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoCortesiaDescuento tipoCortesiaDescuento = (TipoCortesiaDescuento) o;

        Listcell lc = new Listcell(tipoCortesiaDescuento.getTipocortesiadescuentoId().toString());
        lc.setParent(lstm);

        lc = new Listcell( (tipoCortesiaDescuento.getTipoCortesia() == null)?"":tipoCortesiaDescuento.getTipoCortesia().getDesctipo());
        lc.setParent(lstm);

        lc = new Listcell((tipoCortesiaDescuento.getPorcdescuento()==null)?"":tipoCortesiaDescuento.getPorcdescuento().setScale(2, RoundingMode.UP).toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoCortesiaDescuento);
    }
}
